#include <psychlops.h>
using namespace Psychlops;

double width=100,height=100;
double temp1;
double centerX=700,centerY=500;
Psychlops::Rectangle rect1(width,height);
Psychlops::Color col;
Psychlops::Image Noise1;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	rect1.shift(centerX,centerY);
	for(int x=0; x<width; x++){
		for(int y=0; y<height; y++){
			temp1=Psychlops::random();
			col.set(temp1);
			sampleA.pix(x+centerX,y+centerY,col);
		}
	}
	sampleA.to(Noise1,rect1);
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
	Noise1.save("test.png");
}
